AddElementRSThread.State
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.common.xml.databases.existlibrary.thread
Enum AddElementRSThread.State

    java.lang.Object
      java.lang.Enum<AddElementRSThread.State>
          org.gcube.common.xml.databases.existlibrary.thread.AddElementRSThread.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AddElementRSThread.State>

Enclosing class:
  AddElementRSThread

    public static enum AddElementRSThread.State

extends java.lang.Enum<AddElementRSThread.State>

Enum Constant Summary
`ERROR`
`FINISHED`
`PENDING`

Method Summary
`static AddElementRSThread.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AddElementRSThread.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final AddElementRSThread.State PENDING

### ERROR

    public static final AddElementRSThread.State ERROR

### FINISHED

    public static final AddElementRSThread.State FINISHED

Method Detail

### values

    public static AddElementRSThread.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AddElementRSThread.State c : AddElementRSThread.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AddElementRSThread.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD